MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027621Community[OCCT] OCCT:Visualizationpublic2016-06-20 14:162016-12-09 16:38
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027621: Highlighting with color remains visible when shape is erased
DescriptionWhen a shape is displayed in shaded mode and highlighted with a color, the highlighting remains in the view when the shape is erased.

Also, the call vclear does not remove it.
However, the call to vremove removes it.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vdisplay b -dispmode 1
vfit
vmoveto 250 250
verase b

Bug: highlighting remains after verase.

Original test case:

Add the following code to static int VDisplay2 in ViewerTest.cxx after each call to aCtx->Display (aShape...):
  aCtx->HilightWithColor(aShape, Quantity_NameOfColor::Quantity_NOC_BLUE1);

Run the following Draw commands:
pload ALL
box b 1 2 3
vinit
vdisplay b -dispmode 1
vfit
verase b
# => highlighting remains
vclear
# => highlighting remains
vremove b
# => highlighting is removed

TagsNo tags attached.
Test case numberbugs vis bug27621_1, bug27621_2
Attached Filespng file icon vdisplay.png (5,220 bytes) 2016-06-20 14:16
png file icon verase.png (4,876 bytes) 2016-06-20 14:16

- Relationships

-  Notes
(0055662)
git (administrator)
2016-07-04 12:22

Branch CR27621 has been created by isk.

SHA-1: 18453077af58109b4a1d898305c27d3b54c3997c


Detailed log of new commits:

Author: isk
Date: Mon Jul 4 12:20:47 2016 +0300

    0027621: Highlighting with color remains visible when shape is erased.
(0055663)
git (administrator)
2016-07-04 13:33

Branch CR27621 has been updated forcibly by isk.

SHA-1: 6773fe64b76bc70585d95416eea55b6b62cc0a0b
(0055664)
isk (developer)
2016-07-04 13:34

Add test case.
(0055665)
isk (developer)
2016-07-04 13:35

Dear Kirill,
Please review the branch CR27621.
(0055666)
kgv (developer)
2016-07-04 13:48

Please test the patch.
(0055668)
git (administrator)
2016-07-04 14:04

Branch CR27621 has been updated forcibly by isk.

SHA-1: 15a54f48cdfb3fe3c9ec8e44fbd2f327d417e822
(0055669)
isk (developer)
2016-07-04 14:04

Update AIS_InteractiveContext::ClearGlobal().
(0055671)
git (administrator)
2016-07-04 16:20

Branch CR27621 has been updated forcibly by mkv.

SHA-1: cddf56c065ec779127a26f6065511d4c7257d7d1
(0055694)
mkv (tester)
2016-07-05 15:11

Dear BugMaster,
Branch CR27621 was rebased on current master of occt git-repository.
SHA-1: cddf56c065ec779127a26f6065511d4c7257d7d1
(0055695)
mkv (tester)
2016-07-05 15:11

Dear BugMaster,
Branch CR27621 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cddf56c065ec779127a26f6065511d4c7257d7d1

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1149

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27621-master-OCCT/Debian70-64/bugs/vis/bug27621_1.html [^]
http://occt-tests/CR27621-master-OCCT/Windows-64-VC10/bugs/vis/bug27621_1.html [^]
bugs vis bug27621_1: OK
http://occt-tests/CR27621-master-OCCT/Debian70-64/bugs/vis/bug27621_2.html [^]
http://occt-tests/CR27621-master-OCCT/Windows-64-VC10/bugs/vis/bug27621_2.html [^]
bugs vis bug27621_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89527371 / 89854583 [-0.36%]
Total CPU difference: 19334.329999999994 / 19414.98 [-0.42%]
products component :
Total MEMORY difference: 30043080 / 30103773 [-0.20%]
Total CPU difference: 5077.319999999981 / 5081.419999999974 [-0.08%]

Testing on Windows:
occt component :
Total MEMORY difference: 57394429 / 57398526 [-0.01%]
Total CPU difference: 18333.643122598813 / 17924.49929989893 [+2.28%]
products component :
Total MEMORY difference: 21235692 / 21200614 [+0.17%]
Total CPU difference: 4884.001307499948 / 4916.777117599947 [-0.67%]

There are no differences in images found by testdiff.
(0055696)
mkv (tester)
2016-07-05 15:12

Dear BugMaster,
Branch CR27621 is TESTED.
(0056123)
git (administrator)
2016-07-22 10:44

Branch CR27621 has been deleted by inv.

SHA-1: cddf56c065ec779127a26f6065511d4c7257d7d1

- Related Changesets
occt: master 4f51d9d7
Timestamp: 2016-07-04 09:20:47
Author: isk
Committer: bugmaster
Details ] Diff ]
0027621: Highlighting with color remains visible when shape is erased.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
add - tests/bugs/vis/bug27621_1 Diff ] File ]
add - tests/bugs/vis/bug27621_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-20 14:16 Timo New Issue
2016-06-20 14:16 Timo Assigned To => kgv
2016-06-20 14:16 Timo File Added: vdisplay.png
2016-06-20 14:16 Timo File Added: verase.png
2016-06-20 14:54 kgv Steps to Reproduce Updated View Revisions
2016-06-20 14:55 kgv Product Version 7.0.0 => 6.9.0
2016-06-20 14:58 kgv Assigned To kgv => isk
2016-06-20 14:58 kgv Status new => assigned
2016-07-04 12:22 git Note Added: 0055662
2016-07-04 13:33 git Note Added: 0055663
2016-07-04 13:34 isk Note Added: 0055664
2016-07-04 13:35 isk Note Added: 0055665
2016-07-04 13:35 isk Assigned To isk => kgv
2016-07-04 13:35 isk Status assigned => resolved
2016-07-04 13:48 kgv Note Added: 0055666
2016-07-04 13:48 kgv Assigned To kgv => bugmaster
2016-07-04 13:48 kgv Status resolved => reviewed
2016-07-04 14:04 git Note Added: 0055668
2016-07-04 14:04 isk Note Added: 0055669
2016-07-04 15:57 mkv Assigned To bugmaster => mkv
2016-07-04 16:20 git Note Added: 0055671
2016-07-05 15:11 mkv Note Added: 0055694
2016-07-05 15:11 mkv Note Added: 0055695
2016-07-05 15:12 mkv Note Added: 0055696
2016-07-05 15:12 mkv Assigned To mkv => bugmaster
2016-07-05 15:12 mkv Status reviewed => tested
2016-07-05 15:12 mkv Test case number => bugs vis bug27621_1, bug27621_2
2016-07-08 11:57 bugmaster Changeset attached => occt master 4f51d9d7
2016-07-08 11:57 bugmaster Status tested => verified
2016-07-08 11:57 bugmaster Resolution open => fixed
2016-07-15 17:04 kgv Relationship added related to 0027680
2016-07-15 17:23 kgv Relationship added related to 0026272
2016-07-22 10:44 git Note Added: 0056123
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker